﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel;

namespace MVCBugTracker.Models
{
    [MetadataType(typeof(BugMetaData))]
    public partial class Bug
    {
         [Bind(Exclude = "BugID")]
         public class BugMetaData
         {
             [ScaffoldColumn(false)]
             public object BugID { get; set; }
             
             [DisplayName("Bug Title")]
             [Required(ErrorMessage = "A bug title is required")]
             public object Title { get; set; }

             [DisplayName("Description")]
             public object Description { get; set; }

             [DisplayName("Milestone")]
             public object MilestoneID { get; set; }

             [DisplayName("Category")]
             public object CategoryID { get; set; }

             [DisplayName("Priority")]
             public object PriorityID { get; set; }

             [DisplayName("Status")]
             public object StatusID { get; set; }

             [DisplayName("Creator")]
             public object CreatorUserName { get; set; }

             [DisplayName("Assigned")]
             public object AssignedUserName { get; set; }

             [DisplayName("Date Created")]
             public object DateCreated { get; set; }

             [DisplayName("Last Update")]
             public object LastUpdate { get; set; }
         }
    }
}