﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel;

namespace MVCBugTracker.Models
{
    [MetadataType(typeof(ProjectMetaData))]
    public partial class Project
    {
        [Bind(Exclude = "ProjectID")]
        public class ProjectMetaData
        {
            [ScaffoldColumn(false)]
            public object ProjectID { get; set; }

            [DisplayName("Project Name")]
            [Required(ErrorMessage = "A project name is required")]
            [StringLength(256, ErrorMessage="Max length of 256")]
            public object Name { get; set; }

            [DisplayName("Creator Name")]
            public object CreatorName { get; set; }

            [DisplayName("Date Created")]
            public object DateCreated { get; set; }

            [DisplayName("Last Update")]
            public object LastUpdate { get; set; }
        }
    
    }
}